#version 120

uniform sampler2D DiffuseSampler;

varying vec2 texCoord;
varying vec2 oneTexel;

uniform vec2 InSize;

uniform vec2 BlurDir;
uniform float Radius;
uniform float time;

void main() {
	
    vec2 pos = gl_FragCoord.xy / 300.0;

    float dist;
    vec2 cd = (gl_FragCoord.xy) / 300.0;
    
        for(int i = 0; i < 10; i++) {
            dist = distance(pos.x, pos.y);

            pos.x = pos.x + sin(pos.y * 0.1 + sin(dist)) + sin(time/10.0);
            pos.y = pos.y - sin(pos.x * 0.01 - cos(dist)) - cos(time/10.0);
        }

    gl_FragColor = vec4(cos(pos.x*0.5),sin(pos.y*0.50),sin(pos.x*0.5), 1.0);

}
